/******************************************************************************
	[ScreenD3D.h]

		Define Direct3D screen interface.

******************************************************************************/
#ifndef SCREEND3D_H_INCLUDED
#define SCREEND3D_H_INCLUDED

#include "TypeDefs.h"


BOOL
SCREEND3D_Init(
	Sint32		width,
	Sint32		height,
	Sint32		magnification, //Kitaoǉ
	Uint32		flags); //Kitaoǉ

//Kitaoǉ
void
SCREEND3D_SetGamma(
	Sint32	scanLineType,
	Sint32	scanLineDensity,
	BOOL	tvMode);

BOOL
SCREEND3D_ChangeMode(
	Sint32		width,
	Sint32		height,
	Sint32		magnification, //Kitaoǉ
	Uint32		flags);

//KitaoXV
BOOL
SCREEND3D_WaitVBlank(
	BOOL	bDraw);

void
SCREEND3D_PutPixel(
	Sint32		x,
	Sint32		y,
	Uint32		pixel);

void*
SCREEND3D_GetBuffer();

const Sint32
SCREEND3D_GetBufferPitch();

void
SCREEND3D_FillRect(
	Sint32		x,
	Sint32		y,
	Sint32		width,
	Sint32		height,
	Uint32		color);

//Kitaoǉ
void
SCREEND3D_Clear();

//KitaoXV
void
SCREEND3D_Blt(
	const void*		pSrc,
	Sint32			srcX,
	Sint32			srcY,
	Uint16*			pTvW,
	Sint32			srcH,
	Sint32			executeCode);

void
SCREEND3D_Deinit();

//Kitaoǉ
void
SCREEND3D_SetSyncTo60HzScreen(
	BOOL	bSyncTo60HzScreen);

//Kitaoǉ
void
SCREEND3D_SetMessageText(
	char*	pText);

//Kitaoǉ
DWORD
SCREEND3D_GetLastTimeSyncTime();

//Kitaoǉ
void
SCREEN3D_WriteScreenshot(
	FILE*	fp);

//Kitaoǉ
void
SCREEN3D_SetMagnification(
	Sint32	magnification);

//Kitaoǉ
Sint32
SCREEN3D_GetMagnification();


#endif // SCREEND3D_H_INCLUDED
